pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2014 Matthew Pickering
License | GNU GPL, version 2 or above
Maintainer | Matthew Pickering <matthewtpickering@gmail.com>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.Txt2Tags

Description

Conversion of txt2tags formatted plain text to `Pandoc` document.

Synopsis

- readTxt2Tags :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc
- getT2TMeta :: PandocMonad m => m T2TMeta
- data T2TMeta = T2TMeta {
  - date :: Text
  - mtime :: Text
  - infile :: FilePath
  - outfile :: FilePath
  }

# Documentation

readTxt2Tags :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc #

Read Txt2Tags from an input string returning a Pandoc document

getT2TMeta :: PandocMonad m => m T2TMeta #

Get the meta information required by Txt2Tags macros

data T2TMeta #

An object for the T2T macros meta information the contents of each field is simply substituted verbatim into the file

Constructors

T2TMeta |

Fields

- date :: Text

  Current date

- mtime :: Text

  Last modification time of infile

- infile :: FilePath

  Input file

- outfile :: FilePath

  Output file

#### Instances

Instances details

Default T2TMeta # |
Instance details Defined in Text.Pandoc.Readers.Txt2Tags Methods def :: T2TMeta #
Show T2TMeta # |
Instance details Defined in Text.Pandoc.Readers.Txt2Tags Methods showsPrec :: Int -> T2TMeta -> ShowS # show :: T2TMeta -> String # showList :: [T2TMeta] -> ShowS #